Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet
Interface HandlerExceptionResolver

All Known Implementing Classes:
  AbstractHandlerExceptionResolver, AbstractHandlerMethodExceptionResolver, AnnotationMethodHandlerExceptionResolver, DefaultHandlerExceptionResolver, ExceptionHandlerExceptionResolver, HandlerExceptionResolverComposite, ResponseStatusExceptionResolver, SimpleMappingExceptionResolver

    public interface HandlerExceptionResolver

Interface to be implemented by objects than can resolve exceptions thrown during handler mapping or execution, in the typical case to error views. Implementors are typically registered as beans in the application context.

Error views are analogous to the error page JSPs, but can be used with any kind of exception including any checked exception, with potentially fine-granular mappings for specific handlers.

Since:
  22.11.2003
Author:
  Juergen Hoeller

Method Summary
`ModelAndView` | `resolveException(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler, java.lang.Exception ex)` Try to resolve the given exception that got thrown during on handler execution, returning a ModelAndView that represents a specific error page if appropriate.

Method Detail

### resolveException

    ModelAndView resolveException(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response,
                                  java.lang.Object handler,
                                  java.lang.Exception ex)

  Try to resolve the given exception that got thrown during on handler execution, returning a ModelAndView that represents a specific error page if appropriate.

  The returned ModelAndView may be empty to indicate that the exception has been resolved successfully but that no view should be rendered, for instance by setting a status code.

  Parameters:
    `request` - current HTTP request
    `response` - current HTTP response
    `handler` - the executed handler, or `null` if none chosen at the time of the exception (for example, if multipart resolution failed)
    `ex` - the exception that got thrown during handler execution
  Returns:
    a corresponding ModelAndView to forward to, or `null` for default processing

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD